﻿Imports System.Data.OleDb

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim ds = GetDataSet()

        FlexGrid.DataSource = ds.Tables("Data")

        Dim fontName = "Arial"
        Dim fontSize = ds.Tables("FontSizeTable").Rows(2).Item("FontSize")
        Dim csc = FlexGrid.Styles.Add("Style1")
        csc.Font = New Font(fontName, fontSize, FontStyle.Bold)

        Dim crhc = FlexGrid.GetCellRange(1, 1, FlexGrid.Rows.Count - 1, FlexGrid.Cols.Count - 1)
        crhc.Style = csc

        Dim redColorStyle = FlexGrid.Styles.Add("Style2", "Style1")
        redColorStyle.BackColor = Color.Red

        For i = 1 To 5
            FlexGrid.SetCellStyle(i, i, "Style2")
        Next

    End Sub

    Private Function GetDataSet() As DataSet
        Dim dataSet = New DataSet()
        dataSet.Tables.Add(GetDataTable("select * from Products"))
        dataSet.Tables.Add(GetFontTable())

        Return dataSet
    End Function

    Private Function GetDataTable(query As String) As DataTable
        Dim connectionString = GetConnectionString()
        Dim adapter = New OleDbDataAdapter(query, connectionString)
        Dim table = New DataTable("Data")
        adapter.Fill(table)

        Return table
    End Function

    Private Function GetFontTable() As DataTable
        Dim table = New DataTable("FontSizeTable")
        table.Columns.Add("ID", GetType(Integer))
        table.Columns.Add("FontSize", GetType(Integer))

        table.Rows.Add(1, 8)
        table.Rows.Add(2, 10)
        table.Rows.Add(3, 12)
        table.Rows.Add(4, 14)
        table.Rows.Add(5, 16)

        Return table
    End Function

    Private Function GetConnectionString() As String
        Dim path = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + "\ComponentOne Samples\Common"
        Dim conn = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source={0}\C1NWind.mdb"
        Return String.Format(conn, path)
    End Function
End Class
